Skip to main content
POST
/
v5
/
expenses
/
expense
Save an expense
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/expenses/expense \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "expense": {
    "amount": 50.01,
    "bankAccountId": 123,
    "id": 123,
    "type": "BUSINESS",
    "date": "2022-01-04T10:20:00Z",
    "state": "UNKNOWN",
    "salesTaxAmount": 1.01,
    "description": "Gas purchase",
    "vendorId": 123,
    "vendorName": "United Airlines",
    "businessId": 123,
    "clientId": 123,
    "clientName": "<string>",
    "categoryId": 123,
    "personalCategoryId": 123,
    "confidence": "LIKELY",
    "frequency": "ONE_TIME",
    "isParent": true,
    "apiExpenseId": "<string>",
    "billId": 123,
    "childExpenses": [
      {
        "type": "BUSINESS",
        "amount": 50.01,
        "status": "ACTIVE",
        "id": 123,
        "businessId": 123,
        "clientId": 123,
        "categoryId": 123,
        "personalCategoryId": 123,
        "description": "Gas purchase",
        "salesTaxAmount": 1.01,
        "state": "DC",
        "vendorId": 123,
        "billId": {}
      }
    ],
    "customData": {},
    "bankTransferId": 123,
    "revenueId": 123,
    "taxPaymentId": 123,
    "reviewStatus": "PARTNER_REVIEW_REQUIRED",
    "userAccess": "NONE",
    "accountantAccess": "NONE",
    "v6EntityId": "<string>"
  }
}
'
{
  "result": "SUCCESS",
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "type": "DUPLICATE",
        "errorMessage": "<string>"
      }
    ]
  },
  "id": "<string>",
  "webhook": {
    "userId": "<string>",
    "accountantUserId": "<string>",
    "type": "ENTITY_UPDATE"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*

expense object

expense
object

Response

200 - application/json

Successful operation

Object containing details about result of the action performed

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object